GeoTools wfs.xsd outdated, reports a LockFeature without AbstractQueryExpression as invalid

Description

Validating a request like:

<wfs:LockFeature xmlns:wfs="http://www.opengis.net/wfs/2.0" lockId="GeoServer_eb5fd6b6b6024d5" service="WFS" version="2.0.0"> </wfs:LockFeature>

Fails because the schema in the source code requires a min of 1, but the official one allows it to be empty instead.

Will fix only this bit, as updating the whole schema to latest causes other build failures (probably xlink related, but not sure)

Environment

None

Status

Assignee

Andrea Aime

Reporter

Andrea Aime

Triage

None

Fix versions

Priority

Medium
Configure